
/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <struppi@struppi.name> wrote this file. As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.
 * (c) 2014 Stefan Rupp
 * ----------------------------------------------------------------------------
 */

#include <avr/io.h>
#include <avr/interrupt.h>
#include "timer.h"
#include "lcd.h"
#include "rgbyteclock.h"
#include "spi.h"
#include "ledcontroller.h"
#include "rtc.h"
#include <util/delay.h>

int main(void)
{
  
  timer_init();
  rtc_init(0);
  //spi_slave_init();
  led_init();
  sei();

  lcd_init();

  DDRC |= (1<<PC5); // Test LED

  DDRD  |= (1<<PD4); // Backlight
  PORTD |= (1<<PD4);
  
  lcd_puts("RGByteclock");
  lcd_locate(1,0);
  lcd_puts("www.bytewerk.org");
  
  led_turn_all_on();  // turn all LED channels on.
  
  rgbyteclock();
  // rgbyteclock() should never end, but who knows...
  while (1) { ; }

}
